Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.dancity.app/api/v1/products \ --header 'Authorization: Bearer <token>'
{ "statusCode": 200, "message": "SUCCESS", "allProduct": [ { "_id": "69b674f4f2afe9e7484cb814", "name": "Airtel Airtime", "service": "AIRTIME", "min": 50, "max": 50000, "discount": 2 }, { "_id": "69b674daf2afe9e7484cb7d2", "name": "Glo Airtime", "service": "AIRTIME", "min": 50, "max": 50000, "discount": 2 }, { "_id": "69b674c0f2afe9e7484cb790", "name": "MTN Airtime", "service": "AIRTIME", "min": 50, "max": 50000, "discount": 1.5 }, { "_id": "69b67513f2afe9e7484cb858", "name": "T2 Mobile Airtime", "service": "AIRTIME", "min": 50, "max": 50000, "discount": 2 } ] }
Fetch products. Filter by service (service name) when needed.
service
Merchant API key from the Dancity dashboard.
Service name from GET /api/v1/services (e.g. Airtime, Data).
"DATA"
OK